#!/bin/bash

# RPM post script, no arguments
# Note: Also called from Debian ea-apache24-mod_lsapi.postinst scriptlet

# "ea-apache24-mod_lsapi POST INSTALL STARTED"

rhel=$2
_httpd_conf_dir=$3
_httpd_mod_dir=$4

# CL: /etc/apache2/conf.d
# Ubuntu: /etc/apache2/conf-available

if [[ $rhel -lt 7 ]]; then
  /sbin/chkconfig --add lsapi-cache
else
  systemctl enable lsapi-cache.service >/dev/null 2>&1
fi

if [ -e "${_httpd_conf_dir}"/lsapi.conf.rpmorig ]; then
    mv -f "${_httpd_conf_dir}"/lsapi.conf.rpmorig "${_httpd_conf_dir}"/lsapi.conf
fi

if [ -e "${_httpd_conf_dir}"/lsapi.conf ]; then
    sed -i '/AddHandler/d' "/etc/apache2/conf.d/lsapi.conf"
    sed -i '/FilesMatch/d' "/etc/apache2/conf.d/lsapi.conf"
fi

if [ -e "${_httpd_conf_dir}"/lsapi.conf ]; then
    chmod 644 "${_httpd_conf_dir}"/lsapi.conf
fi

if [ -e "${_httpd_mod_dir}"/001_mod_lsapi.conf ]; then
    chmod 644 "${_httpd_mod_dir}"/001_mod_lsapi.conf
fi


switch_mod_lsapi --setup-light

if [[ "$1" == 1 || "$1" == "install" ]]; then
    switch_mod_lsapi --setup
fi

# "ea-apache24-mod_lsapi POST INSTALL FINISHED"
