#!/opt/cloudlinux/venv/bin/python3

# Copyright (c) Cloud Linux GmbH & Cloud Linux Software, Inc 2010-2018 All Rights Reserved
#
# Licensed under CLOUD LINUX LICENSE AGREEMENT
# http://cloudlinux.com/docs/LICENSE.TXT

"""
Post upcp check php handlers hook
"""
import subprocess
import simplejson as json
import sys

def describe():
    """
    Description of the current hook for Cpanel
    """
    descr = [
        {
            'category': 'System',
            'event'   : 'upcp',
            'stage'   : 'post',
            'hook'    : '/usr/share/lve/modlscapi/hooks/cpanel_post_upcp_check_handlers_hook.py',
            'exectype': 'script',
        }
    ]
    return json.dumps(descr)


if "__main__" == __name__:
    argv = sys.argv[1:]
    if '--describe' in argv:
        print(describe())
        sys.exit(0)
    ret = subprocess.call(["/usr/share/lve/modlscapi/hooks/cpanel_check_handlers_hook.sh", "--post"])
    exit(ret)
